%if "%{?rhel}" == "6" 
%global _jarsign_opts --unsign=%{_javadir} 
%endif

%define reltag .redhat_2
%define namedreltag -redhat-2
%global namedversion  %{version}%{?namedreltag}

%global shortname slf4j

%bcond_without mead

%define maven_version 1.6.1-redhat-2

Name:           slf4j-eap6
Version:        1.6.1
Release:        23%{?reltag}%{?dist}
Epoch:          0
Summary:        Simple Logging Facade for Java
License:        MIT
Group:          Development/Java

%if %with mead
Source100: org.slf4j-slf4j-parent-1.6.1-redhat-2-sources.zip
Source101: org.slf4j-slf4j-parent-1.6.1-redhat-2-patches.zip
Source102: slf4j-api-1.6.1-redhat-2-sources.jar
Source103: slf4j-api-1.6.1-redhat-2.jar
Source104: slf4j-api-1.6.1-redhat-2-javadoc.jar
Source105: slf4j-api-1.6.1-redhat-2.pom
Source106: slf4j-jcl-1.6.1-redhat-2.pom
Source107: slf4j-jcl-1.6.1-redhat-2-javadoc.jar
Source108: slf4j-jcl-1.6.1-redhat-2-sources.jar
Source109: slf4j-jcl-1.6.1-redhat-2.jar
Source110: slf4j-log4j12-1.6.1-redhat-2-sources.jar
Source111: slf4j-log4j12-1.6.1-redhat-2.pom
Source112: slf4j-log4j12-1.6.1-redhat-2.jar
Source113: slf4j-log4j12-1.6.1-redhat-2-javadoc.jar
Source114: log4j-over-slf4j-1.6.1-redhat-2.pom
Source115: log4j-over-slf4j-1.6.1-redhat-2-javadoc.jar
Source116: log4j-over-slf4j-1.6.1-redhat-2-sources.jar
Source117: log4j-over-slf4j-1.6.1-redhat-2.jar
Source118: integration-1.6.1-redhat-2.pom
Source119: integration-1.6.1-redhat-2.jar
Source120: jcl-over-slf4j-1.6.1-redhat-2-javadoc.jar
Source121: jcl-over-slf4j-1.6.1-redhat-2-sources.jar
Source122: jcl-over-slf4j-1.6.1-redhat-2.pom
Source123: jcl-over-slf4j-1.6.1-redhat-2.jar
Source124: slf4j-jdk14-1.6.1-redhat-2.jar
Source125: slf4j-jdk14-1.6.1-redhat-2-sources.jar
Source126: slf4j-jdk14-1.6.1-redhat-2.pom
Source127: slf4j-jdk14-1.6.1-redhat-2-javadoc.jar
Source128: slf4j-nop-1.6.1-redhat-2-sources.jar
Source129: slf4j-nop-1.6.1-redhat-2.pom
Source130: slf4j-nop-1.6.1-redhat-2.jar
Source131: slf4j-nop-1.6.1-redhat-2-javadoc.jar
Source132: slf4j-site-1.6.1-redhat-2.jar
Source133: slf4j-site-1.6.1-redhat-2.pom
Source134: slf4j-site-1.6.1-redhat-2-sources.jar
Source135: slf4j-ext-1.6.1-redhat-2.jar
Source136: slf4j-ext-1.6.1-redhat-2.pom
Source137: slf4j-ext-1.6.1-redhat-2-sources.jar
Source138: slf4j-ext-1.6.1-redhat-2-javadoc.jar
Source139: slf4j-parent-1.6.1-redhat-2-javadoc.jar
Source140: slf4j-parent-1.6.1-redhat-2.pom
Source141: slf4j-simple-1.6.1-redhat-2-javadoc.jar
Source142: slf4j-simple-1.6.1-redhat-2.jar
Source143: slf4j-simple-1.6.1-redhat-2-sources.jar
Source144: slf4j-simple-1.6.1-redhat-2.pom
Source145: jul-to-slf4j-1.6.1-redhat-2-sources.jar
Source146: jul-to-slf4j-1.6.1-redhat-2.jar
Source147: jul-to-slf4j-1.6.1-redhat-2-javadoc.jar
Source148: jul-to-slf4j-1.6.1-redhat-2.pom
Source149: slf4j-migrator-1.6.1-redhat-2.jar
Source150: slf4j-migrator-1.6.1-redhat-2.pom
Source151: slf4j-migrator-1.6.1-redhat-2-sources.jar
%endif

URL:            http://www.slf4j.org/
%if 0
git clone https://github.com/ceki/slf4j.git && cd slf4j && git archive v_1.6.1 --prefix='slf4j-1.6.1/' | bzip2 -9 > ../slf4j-1.6.1.tar.bz2
%endif
Requires:       jpackage-utils
BuildRequires:  unzip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch

%description
The Simple Logging Facade for Java or (SLF4J) is intended to serve
as a simple facade for various logging APIs allowing to the end-user
to plug in the desired implementation at deployment time. SLF4J also
allows for a gradual migration path away from
Jakarta Commons Logging (JCL). 

Logging API implementations can either choose to implement the
SLF4J interfaces directly, e.g. NLOG4J or SimpleLogger. Alternatively,
it is possible (and rather easy) to write SLF4J adapters for the given
API implementation, e.g. Log4jLoggerAdapter or JDK14LoggerAdapter.. 

%package -n %{shortname}
Summary:        Simple Logging Facade for Java
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils

%description -n %{shortname}
The Simple Logging Facade for Java or (SLF4J) is intended to serve
as a simple facade for various logging APIs allowing to the end-user
to plug in the desired implementation at deployment time. SLF4J also
allows for a gradual migration path away from
Jakarta Commons Logging (JCL).

Logging API implementations can either choose to implement the
SLF4J interfaces directly, e.g. NLOG4J or SimpleLogger. Alternatively,
it is possible (and rather easy) to write SLF4J adapters for the given
API implementation, e.g. Log4jLoggerAdapter or JDK14LoggerAdapter..

%package -n %{shortname}-javadoc
Group:          Development/Documentation

Summary:        Javadoc for SLF4J
Requires:       jpackage-utils

%description -n %{shortname}-javadoc
%{summary}.

%prep

%build

%install
rm -rf %{buildroot}

for pom in %{_sourcedir}/*.pom; do
artifactId=`/bin/basename ${pom} -%{namedversion}.pom`
# poms
%add_to_maven_depmap org.slf4j ${artifactId} %{namedversion} JPP ${artifactId}
install -pD -T -m 644 %{_sourcedir}/${artifactId}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-${artifactId}.pom

# jars
if [ -e %{_sourcedir}/${artifactId}-%{namedversion}.jar ]; then
  install -pD -T -m 644 %{_sourcedir}/${artifactId}-%{namedversion}.jar %{buildroot}%{_javadir}/${artifactId}-%{namedversion}.jar
  (cd %{buildroot}%{_javadir} && ln -s ${artifactId}-%{namedversion}.jar ${artifactId}.jar)
  install -pD -T -m 644 %{_sourcedir}/${artifactId}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/${artifactId}-%{namedversion}.jar
  (cd %{buildroot}%{_javadir}/%{name} && ln -s ${artifactId}-%{namedversion}.jar ${artifactId}.jar)
fi

if [ -e %{_sourcedir}/${artifactId}-%{namedversion}-javadoc.jar ]; then
  install -pD -T -m 644 %{_sourcedir}/${artifactId}-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/${artifactId}-%{namedversion}-javadoc.jar
  (cd %{buildroot}%{_javadir} && ln -s ${artifactId}-%{namedversion}-javadoc.jar ${artifactId}-javadoc.jar)
fi

if [ -e %{_sourcedir}/${artifactId}-%{namedversion}-sources.jar ]; then
  install -pD -T -m 644 %{_sourcedir}/${artifactId}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/${artifactId}-%{namedversion}-sources.jar
  (cd %{buildroot}%{_javadir} && ln -s ${artifactId}-%{namedversion}-sources.jar ${artifactId}-sources.jar)
  install -pD -T -m 644 %{_sourcedir}/${artifactId}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/${artifactId}-%{namedversion}-sources.jar
  (cd %{buildroot}%{_javadir}/%{name} && ln -s ${artifactId}-%{namedversion}-sources.jar ${artifactId}-sources.jar)
fi
done

if [ -e %{_sourcedir}/slf4j-parent-%{namedversion}-javadoc.jar ]; then
  mkdir -p %{buildroot}%{_javadocdir}/%{shortname}-%{namedversion}
  unzip -qq -d %{buildroot}%{_javadocdir}/%{shortname}-%{namedversion} %{_sourcedir}/slf4j-parent-%{namedversion}-javadoc.jar
  rm -r %{buildroot}%{_javadocdir}/%{shortname}-%{namedversion}/META-INF
fi
(cd %{buildroot}%{_javadocdir} && ln -s %{shortname}-%{namedversion} %{shortname})

%clean
%{__rm} -rf %{buildroot}

%post -n %{shortname}
%update_maven_depmap

%postun -n %{shortname}
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}*/%{name}
%{_javadir}*/%{name}/integration-%{namedversion}.jar
%{_javadir}*/%{name}/integration.jar
%{_javadir}*/%{name}/jcl-over-slf4j-%{namedversion}-sources.jar
%{_javadir}*/%{name}/jcl-over-slf4j-%{namedversion}.jar
%{_javadir}*/%{name}/jcl-over-slf4j-sources.jar
%{_javadir}*/%{name}/jcl-over-slf4j.jar
%{_javadir}*/%{name}/jul-to-slf4j-%{namedversion}-sources.jar
%{_javadir}*/%{name}/jul-to-slf4j-%{namedversion}.jar
%{_javadir}*/%{name}/jul-to-slf4j-sources.jar
%{_javadir}*/%{name}/jul-to-slf4j.jar
%{_javadir}*/%{name}/log4j-over-slf4j-%{namedversion}-sources.jar
%{_javadir}*/%{name}/log4j-over-slf4j-%{namedversion}.jar
%{_javadir}*/%{name}/log4j-over-slf4j-sources.jar
%{_javadir}*/%{name}/log4j-over-slf4j.jar
%{_javadir}*/%{name}/slf4j-api-%{namedversion}-sources.jar
%{_javadir}*/%{name}/slf4j-api-%{namedversion}.jar
%{_javadir}*/%{name}/slf4j-api-sources.jar
%{_javadir}*/%{name}/slf4j-api.jar
%{_javadir}*/%{name}/slf4j-ext-%{namedversion}-sources.jar
%{_javadir}*/%{name}/slf4j-ext-%{namedversion}.jar
%{_javadir}*/%{name}/slf4j-ext-sources.jar
%{_javadir}*/%{name}/slf4j-ext.jar
%{_javadir}*/%{name}/slf4j-jcl-%{namedversion}-sources.jar
%{_javadir}*/%{name}/slf4j-jcl-%{namedversion}.jar
%{_javadir}*/%{name}/slf4j-jcl-sources.jar
%{_javadir}*/%{name}/slf4j-jcl.jar
%{_javadir}*/%{name}/slf4j-jdk14-%{namedversion}-sources.jar
%{_javadir}*/%{name}/slf4j-jdk14-%{namedversion}.jar
%{_javadir}*/%{name}/slf4j-jdk14-sources.jar
%{_javadir}*/%{name}/slf4j-jdk14.jar
%{_javadir}*/%{name}/slf4j-log4j12-%{namedversion}-sources.jar
%{_javadir}*/%{name}/slf4j-log4j12-%{namedversion}.jar
%{_javadir}*/%{name}/slf4j-log4j12-sources.jar
%{_javadir}*/%{name}/slf4j-log4j12.jar
%{_javadir}*/%{name}/slf4j-migrator-%{namedversion}-sources.jar
%{_javadir}*/%{name}/slf4j-migrator-%{namedversion}.jar
%{_javadir}*/%{name}/slf4j-migrator-sources.jar
%{_javadir}*/%{name}/slf4j-migrator.jar
%{_javadir}*/%{name}/slf4j-nop-%{namedversion}-sources.jar
%{_javadir}*/%{name}/slf4j-nop-%{namedversion}.jar
%{_javadir}*/%{name}/slf4j-nop-sources.jar
%{_javadir}*/%{name}/slf4j-nop.jar
%{_javadir}*/%{name}/slf4j-simple-%{namedversion}-sources.jar
%{_javadir}*/%{name}/slf4j-simple-%{namedversion}.jar
%{_javadir}*/%{name}/slf4j-simple-sources.jar
%{_javadir}*/%{name}/slf4j-simple.jar
%{_javadir}*/%{name}/slf4j-site-%{namedversion}-sources.jar
%{_javadir}*/%{name}/slf4j-site-%{namedversion}.jar
%{_javadir}*/%{name}/slf4j-site-sources.jar
%{_javadir}*/%{name}/slf4j-site.jar

%files -n %{shortname}
%defattr(0644,root,root,0755)
%{_javadir}*/integration-%{namedversion}.jar
%{_javadir}*/integration.jar
%{_javadir}*/jcl-over-slf4j-%{namedversion}.jar
%{_javadir}*/jcl-over-slf4j.jar
%{_javadir}*/jcl-over-slf4j-%{namedversion}-sources.jar
%{_javadir}*/jcl-over-slf4j-sources.jar
%{_javadir}*/jul-to-slf4j-%{namedversion}.jar
%{_javadir}*/jul-to-slf4j.jar
%{_javadir}*/jul-to-slf4j-%{namedversion}-sources.jar
%{_javadir}*/jul-to-slf4j-sources.jar
%{_javadir}*/log4j-over-slf4j-%{namedversion}.jar
%{_javadir}*/log4j-over-slf4j.jar
%{_javadir}*/log4j-over-slf4j-%{namedversion}-sources.jar
%{_javadir}*/log4j-over-slf4j-sources.jar
%{_javadir}*/slf4j-api-%{namedversion}.jar
%{_javadir}*/slf4j-api.jar
%{_javadir}*/slf4j-api-%{namedversion}-sources.jar
%{_javadir}*/slf4j-api-sources.jar
%{_javadir}*/slf4j-ext-%{namedversion}.jar
%{_javadir}*/slf4j-ext.jar
%{_javadir}*/slf4j-ext-%{namedversion}-sources.jar
%{_javadir}*/slf4j-ext-sources.jar
%{_javadir}*/slf4j-jcl-%{namedversion}.jar
%{_javadir}*/slf4j-jcl.jar
%{_javadir}*/slf4j-jcl-%{namedversion}-sources.jar
%{_javadir}*/slf4j-jcl-sources.jar
%{_javadir}*/slf4j-jdk14-%{namedversion}.jar
%{_javadir}*/slf4j-jdk14.jar
%{_javadir}*/slf4j-jdk14-%{namedversion}-sources.jar
%{_javadir}*/slf4j-jdk14-sources.jar
%{_javadir}*/slf4j-log4j12-%{namedversion}.jar
%{_javadir}*/slf4j-log4j12.jar
%{_javadir}*/slf4j-log4j12-%{namedversion}-sources.jar
%{_javadir}*/slf4j-log4j12-sources.jar
%{_javadir}*/slf4j-migrator-%{namedversion}.jar
%{_javadir}*/slf4j-migrator.jar
%{_javadir}*/slf4j-migrator-%{namedversion}-sources.jar
%{_javadir}*/slf4j-migrator-sources.jar
%{_javadir}*/slf4j-nop-%{namedversion}.jar
%{_javadir}*/slf4j-nop.jar
%{_javadir}*/slf4j-nop-%{namedversion}-sources.jar
%{_javadir}*/slf4j-nop-sources.jar
%{_javadir}*/slf4j-simple-%{namedversion}.jar
%{_javadir}*/slf4j-simple.jar
%{_javadir}*/slf4j-simple-%{namedversion}-sources.jar
%{_javadir}*/slf4j-simple-sources.jar
%{_javadir}*/slf4j-site-%{namedversion}.jar
%{_javadir}*/slf4j-site.jar
%{_javadir}*/slf4j-site-%{namedversion}-sources.jar
%{_javadir}*/slf4j-site-sources.jar
%{_mavenpomdir}/JPP-integration.pom 
%{_mavenpomdir}/JPP-jcl-over-slf4j.pom
%{_mavenpomdir}/JPP-jul-to-slf4j.pom
%{_mavenpomdir}/JPP-log4j-over-slf4j.pom
%{_mavenpomdir}/JPP-slf4j-api.pom
%{_mavenpomdir}/JPP-slf4j-ext.pom
%{_mavenpomdir}/JPP-slf4j-jcl.pom
%{_mavenpomdir}/JPP-slf4j-jdk14.pom
%{_mavenpomdir}/JPP-slf4j-log4j12.pom
%{_mavenpomdir}/JPP-slf4j-migrator.pom
%{_mavenpomdir}/JPP-slf4j-nop.pom
%{_mavenpomdir}/JPP-slf4j-parent.pom
%{_mavenpomdir}/JPP-slf4j-simple.pom
%{_mavenpomdir}/JPP-slf4j-site.pom
%{_mavendepmapfragdir}/%{name}

%files -n %{shortname}-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{shortname}-%{namedversion}
%{_javadocdir}/%{shortname}
%{_javadir}*/jcl-over-slf4j-%{namedversion}-javadoc.jar
%{_javadir}*/jcl-over-slf4j-javadoc.jar
%{_javadir}*/jul-to-slf4j-%{namedversion}-javadoc.jar
%{_javadir}*/jul-to-slf4j-javadoc.jar
%{_javadir}*/log4j-over-slf4j-%{namedversion}-javadoc.jar
%{_javadir}*/log4j-over-slf4j-javadoc.jar
%{_javadir}*/slf4j-api-%{namedversion}-javadoc.jar
%{_javadir}*/slf4j-api-javadoc.jar
%{_javadir}*/slf4j-ext-%{namedversion}-javadoc.jar
%{_javadir}*/slf4j-ext-javadoc.jar
%{_javadir}*/slf4j-jcl-%{namedversion}-javadoc.jar
%{_javadir}*/slf4j-jcl-javadoc.jar
%{_javadir}*/slf4j-jdk14-%{namedversion}-javadoc.jar
%{_javadir}*/slf4j-jdk14-javadoc.jar
%{_javadir}*/slf4j-log4j12-%{namedversion}-javadoc.jar
%{_javadir}*/slf4j-log4j12-javadoc.jar
%{_javadir}*/slf4j-nop-%{namedversion}-javadoc.jar
%{_javadir}*/slf4j-nop-javadoc.jar
%{_javadir}*/slf4j-parent-%{namedversion}-javadoc.jar
%{_javadir}*/slf4j-parent-javadoc.jar
%{_javadir}*/slf4j-simple-%{namedversion}-javadoc.jar
%{_javadir}*/slf4j-simple-javadoc.jar

%changelog
* Tue Sep 25 2012 David Walluck <dwalluck@redhat.com> 0:1.6.1-23
- add integration and site artifacts
- add javadoc jars to javadoc package

* Mon Sep 24 2012 David Walluck <dwalluck@redhat.com> 0:1.6.1-22
- fix bad Requires
- fix bad dir ownership
- fix bad file list
- fix bad macro definitions
- fix bad Release
- set slf4j and cal10n versions in pom patch
- remove versions from maven-build-arguments
- remove maven-compiler-plugin configuration
- fix javadoc

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.1-21.redhat_2.2
- Rebuild for MD5

* Mon Aug 20 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.6.1-20.redhat_2.2
- Update poms for eap 6.0.1

* Thu Aug 09 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.1-19.redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.1-19.redhat_1.1
- Rebuild using cache signing

* Thu May 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.1-19.redhat_1
- Wrap latest MEAD build
- Fix release tag

* Wed Apr 04 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.6.1-15_redhat_1.2
- Rebuild with a -eap6 suffix to avoid conflict with RHEL-6 base

* Thu Mar 15 2012 Lin Gao <lgao@redhat.com> 0:1.6.1-15_redhat_1.1
- rebuild to use new wrapper

* Mon Feb 27 2012 Lin Gao <lgao@redhat.com> 0:1.6.1-15
- build wrapper rpm
- javadoc is still splitted.

* Tue Feb 14 2012 David Walluck <dwalluck@redhat.com> 0:1.6.1-14
- add most artifacts
- use aggregate javadoc

* Tue Feb 14 2012 David Walluck <dwalluck@redhat.com> 0:1.6.1-13
- package slf4j-jdk14
- use wildcard to loop through mead artifacts so as to not miss any

* Tue Feb 14 2012 Lin Gao <lgao@redhat.com> 0:1.6.1-12
- build slf4j-jdk14

* Tue Feb 14 2012 David Walluck <dwalluck@redhat.com> 0:1.6.1-11
- remove cal10n requirement (slf4j-ext)

* Mon Feb 13 2012 David Walluck <dwalluck@redhat.com> 0:1.6.1-10
- remove commons-logging requirement (slf4j-jcl)
- remove log4j requirement (slf4j-log4j12)
- fix file locations (remove unowned directory)
- javadoc still has issues

* Fri Feb 10 2012 Lin Gao <lgao@redhat.com> - 0:1.6.1-9_redhat_1
- clean build
- wrapper rpm from mead

* Fri Feb 10 2012 Lin Gao <lgao@redhat.com> - 0:1.6.1-8
- rebuild mead for new sign key

* Wed Jan 18 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.1-7
- Also remove slf4j-site from the repolib

* Wed Jan 18 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.1-6
- Remove (empty) slf4j-site.jar which is just a vehicle to pass on the 
  documentation via Maven
- Update javassist groupId to org.javassist

* Wed Sep 7 2011 Lin Gao <lgao@redhat.com> - 0:1.6.1-5
- rebuild

* Wed Sep 7 2011 Lin Gao <lgao@redhat.com> - 0:1.6.1-4
- rename slf4j-1.6.1-integration-pom.patch to slf4j-1.6.1-integration-pom.patch.rpmbuild

* Wed Sep 7 2011 Lin Gao <lgao@redhat.com> - 0:1.6.1-3
- wolf pharse build
- mead build

* Mon Jul 04 2011 Yong Yang <yyang@redhat.com> - 0:1.6.1-2
- BR:  build-helper-maven-plugin
- Remove Patch1: slf4j-1.6.1-no-build-helper.patch

* Fri Jul 01 2011 Yong Yang <yyang@redhat.com> - 0:1.6.1-1
- Upgrade to 1.6.1
- Disable tests
- no jcl104

* Mon Jun 13 2011 David Walluck <dwalluck@redhat.com> 0:1.5.10-3
- remove bundled cal10n
- install all jars
- use proper jar names
- use 'mvn deploy'
- fix incorrectly commented patch macros
- remove unneeded patches
- fix bad maven depmaps
- fix POM copy to repolib
- enable tests
- Requires: jpackage-utils
- fix duplicate LICENSE.txt file
- fix file list
- fix dir ownership in main package
- remove GCJ support
- make namedversion macro global

* Thu Jun 02 2011 Yong Yang <yyang@redhat.com> - 0:1.5.10-2
- Use mvn-jpp deploy:deploy-file instead of upload.sh

* Thu Jun 02 2011 Yong Yang <yyang@redhat.com> - 0:1.5.10-1
- Upgrade to 1.5.10

* Tue Mar 08 2011 Martha Benitez <mbenitez@redhat.com> - 0:1.5.8-9_patch_01.2
- Rebuild

* Tue Mar 08 2011 Martha Benitez <mbenitez@redhat.com> - 0:1.5.8-9_patch_01.1
- Upgrade to 1.5.8-patch-01

* Wed Feb 09 2011 David Walluck <dwalluck@redhat.com> 0:1.5.8-8
- bump release to be newer than 7.el6
- always build javadoc
- javadoc Requires: jpackage-utils
- change BuildRequires to be backwards compat with old maven2
- fix manual

* Tue Dec 21 2010 Hui Wang <huwang@redhat.com> - 0:1.5.8-4
- Add missing artifacts to repolib

* Tue Dec 21 2010 Hui Wang <huwang@redhat.com> - 0:1.5.8-3
- Eliminate slf4j-jdk14

* Wed Dec 08 2010 Hui Wang <huwang@redhat.com> - 0:1.5.8-2
- Add upload.sh and content of maven2-brew to repolib
- Fix %%files for signed jars
- Add BR maven-site-plugin

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.5.8-1.2.1
- rebuilt

* Mon Apr 19 2010 Yiqiao Wang <yiwang@redhat.com> 0:1.5.8-1.2
- Rebuild

* Mon Jan 18 2010 David Walluck <dwalluck@redhat.com> 0:1.5.8-1.1.1
- fix GCJ support

* Wed Jul 29 2009 Yong Yang <yyang@redhat.com> 0:1.5.8-1.1
- 1.5.8
- Replace slf4j-1.5.6-integration-tests-current-only.patch with slf4j-1.5.8-skip-integration-tests.patch because of the failure of "testMatch"

* Tue Jun 23 2009 Martha Benitez <mbenitez@redhat.com> 0:1.5.6-2.1
- Change jpackage-utils >= 0:1.7.5 to jpackage-utils >= 0:1.7.3
- Change BR excalibur-avalon-framework to avalon-framework
- Add condition to build with(out) javadoc
- Add -Dmaven.test.failure.ignore=true

* Fri Jun 12 2009 Ralph Apel <r.apel at r-apel.de> 0:1.5.6-2
- Add -ext jar, depmap and pom
- Save jcl104-over-slf4j as symlink

* Tue Feb 18 2009 David Walluck <dwalluck@redhat.com> 0:1.5.6-1
- 1.5.6
- add repolib
- fix file eol
- fix Release tag

* Fri Jul 18 2008 David Walluck <dwalluck@redhat.com> 0:1.5.2-2
- use excalibur for avalon
- remove javadoc scriptlets
- GCJ fixes
- fix maven directory ownership
- fix -bc --short-circuit by moving some of %%build to %%prep

* Sun Jul 06 2008 Ralph Apel <r.apel at r-apel.de> 0:1.5.2-1.jpp5
- 1.5.2

* Mon Feb 04 2008 Ralph Apel <r.apel at r-apel.de> 0:1.4.2-2jpp
- Fix macro misprint
- Add maven2-plugin BRs

* Wed Jul 18 2007 Ralph Apel <r.apel at r-apel.de> 0:1.4.2-1jpp
- Upgrade to 1.4.2
- Build with maven2
- Add poms and depmap frags
- Add gcj_support option

* Mon Jan 30 2006 Ralph Apel <r.apel at r-apel.de> 0:1.0-0.rc5.1jpp
- First JPackage release.
